Bug 249353 - CVE-2000-1191 htdig configuration file path disclosure flaw
Summary: CVE-2000-1191 htdig configuration file path disclosure flaw
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: htdig   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard: source=redhat,impact=low,reported=200...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 21:14 UTC by Josh Bressers
Modified: 2013-04-30 23:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 13:26:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2007-07-23 21:14:43 UTC
+++ This bug was initially created as a clone of Bug #218715 +++

It has recently come to our attention that CVE-2000-1191 is not fixed in the
htdig packages shipped with Red Hat Enterprise Linux 2.1 and 3.  This flaw is
fixed in Red Hat Enterprise Linux 4 by the htdig-3.2.0b6-unescaped_output.patch
patch file.

More details regarding this flaw are available here:
http://www.securiteam.com/exploits/5YQ0C000IU.html

To quote that page (in the event the URL becomes invalid someday)

    Exploit:
    When requesting a URL such as:
    http://www.example.com/cgi-bin/htsearch?config=aaa

    The htDig engine will reply with an error saying that it could not find the   
    configuration file 'aaa', but the error string includes the full directory  
    path of the configuration file.

This bug is a clone for RHEL2.1, which is still vulnerable to this flaw.

Comment 1 Adam Tkac 2007-07-25 13:06:11 UTC
This is "pseudo-security" issue. I don't think that is exploitable when someone
knows path to configfile. We will leave 2.1 unfixed...

Adam

Comment 2 Josh Bressers 2007-07-25 13:26:51 UTC
The security team agrees.

Closing WONTFIX


Note You need to log in before you can comment on or make changes to this bug.